package com.vendor.burn.proxies;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.PartitionItem;
import com.vendor.burn.model.devices.IDeviceSetting;
import java.io.File;
import java.util.ArrayList;

public abstract class AbstractBurnProxy {
  protected IDeviceSetting device;
  
  protected ArrayList<PartitionItem> partitions;
  
  protected File programmerFile;
  
  public AbstractBurnProxy(IDeviceSetting device, ArrayList<PartitionItem> partitions, File programmerFile) {
    setDevice(device);
    setPartitions(partitions);
    setProgrammerFile(programmerFile);
  }
  
  public abstract void doActionsInBootrom();
  
  public abstract void waitForBoot();
  
  public abstract void doActionsInBoot();
  
  public IDeviceSetting getDevice() {
    return this.device;
  }
  
  public void setDevice(IDeviceSetting device) {
    this.device = device;
  }
  
  public ArrayList<PartitionItem> getPartitions() {
    return this.partitions;
  }
  
  public void setPartitions(ArrayList<PartitionItem> partitions) {
    this.partitions = partitions;
  }
  
  public File getProgrammerFile() {
    return this.programmerFile;
  }
  
  public void setProgrammerFile(File programmerFile) {
    this.programmerFile = programmerFile;
  }
}
